1. Chaotican's Avatar
    Hello all, im a bit new to this.. but ive finally figured out the basics of jailbreaking. Ive jailbroken my wifes ipod touch 1st gen thats currently running 2.2.1.

    My question is this, ive seen alot of cool programs and such on Cydia that only support 3.0+ versions. I wouldnt mind upgrading, but I wanted to ask the gurus here if there are any reasons I should not upgrade from 2.2.1 to a 3.0+ version? Are their known issues with ipod touch first gens?

    Finally, should I choose to upgrade to the 3.0+ version, how would I go about getting it? I dont mind purchasing the upgrade from Itunes, but Id rather have 3.1.2 instead of 3.1.3. Are their illegitmate means of getting the newer upgrades?

    Again thanks for all the help, ive found alot of answers and have learned alot from the plethora of posts here. (I made sure to give thanks to anyone that helped, even if they were originally helping someone else.)

    Thanks in advance,
    An Ipod Fanatic.
    2010-04-26 03:44 AM
  2. Arabprince's Avatar
    Well you can jailbreak the iPod touch 1st generation using 3.1.3. It is very simple. You just have to use redsn0w 0.9.4 and you can get firmware From iTunes. Pm me if you have more questions
    2010-04-26 03:48 AM
  3. Chaotican's Avatar
    So there isnt a means to get the latest firmware aside from purchasing it from apple?
    2010-04-26 04:34 AM
  4. Arabprince's Avatar
    Yes just go to felixbruns.de
    2010-04-26 03:14 PM
  5. Chaotican's Avatar
    Alright.. I got a copy og the 3.1.2 firmware, and have placed it in the appropiate folder for windows 7.

    Ive loaded up itunes and have clicked the restore button with the shift-click on restore, and pointed it to the new firmware I downloaded.

    It goes through the process and when its done I get an error message that something along the lines:

    "Could not restore ipod, error 10"

    I've done a search on the site here for threads about the same error and have found a plethora of threads about other errors but not that specific one.

    Did I miss a step or something?

    Ok after tinkering around with it, I still can not get the 3.1.2 firmware to load properly.

    Going to try again with 3.1.3 after wife leaves for work... hopefully it will fix it.

    Can anyone confirm for me what an error 10 is? Im assuming its a firmware error.

    I downloaded 3.1.2 AND 3.1.3 from the site you recommended... so hopefully its just an issue with the 3.1.2 file.

    Nope I had the SAME problem with the ipod touch 1st gen 3.1.3 firmware and I cant seem to find anything related to the "error 10" im getting.

    Edit:

    Hrrrm should I have the ipod touch in any specific mode to make the firmware go in successfully? IE recovery or DFU?

    Edit #2

    Success! I was FINALLY able to get the ipod touch 1g to take the 3.1.3 firmware update... the problem? I was getting error 10 because it did not like the fact I was running itunes 8.1 64 bit. Updating to 8.2 64 fixed the issue! yay!

    Edit #3

    Oops.. typical. Resolve one error only to hit another.

    When I point the version of redsn0w 0.9.4 to the firmware file I used for 3.1.3, redsnow tells me

    "unable to recognize specified IPSW"

    Any ideas?

    Final Edit (Hopefully)

    Alright, after some digging around, I found that even though I had successfully put 3.1.3 on my ipod touch 1st gen, I had to point red snow to the 3.1.2 file... and success again! Finally got it jailbroke!
    Last edited by Chaotican; 2010-04-26 at 10:24 PM. Reason: Automerged Doublepost
    2010-04-26 10:24 PM
  6. Arabprince's Avatar
    When usig redsn0w are you using the 3.1.2 firmware or the 3.1.3 because you should be using the 3.1.2
    2010-04-26 11:06 PM
  7. Chaotican's Avatar
    Yeah I finally got the sucker jailbroke, but im having *hell* getting winterboard to work on 3.1.3. Is this currently not possible?

    I had to do some rigging last time with an older version of mobile substrate (0930051) to get winterboard and cydia to work. It seems that this isnt the case for me now on 3.1.3.

    I installed the older mobilesubstrate and the current version of winterboard. When I booted up, it took its sweet time, then finally came up in safe mode. Digging on the forums said to install the latest version of mobile substrate and THEN winterboard.. but thats a bit of a loaded statement since this thread was from october of last year. Ive got it to where it boots without safe mode now.. but when I open cydia, im getting a new error. This one ISNT in a popu dialog like previous errors, this appears on the background of cydia and says:

    Unable to load(Operation could not be completed. Invalid Argument)

    What versions of mobilesubstrate and winterboard do I need to get everything working if thats even possible on this version?

    Edit:

    Ok, ive got latest version of winterboard installed and working, and its not preventing cydia from downloading.

    The weird error I got previous was from not being connected to the wifi (despite that the icon at the top still showed me as connected)

    However the ipod is still taking a rather long time to boot up when completely powered down...
    Last edited by Chaotican; 2010-04-26 at 11:41 PM. Reason: Automerged Doublepost
    2010-04-26 11:41 PM
  8. Arabprince's Avatar
    Wait sorry what is wrong
    2010-04-26 11:51 PM
  9. Chaotican's Avatar
    Sorry, I posted up the problem, and mostly resolved it before you replied to the PM.

    Now that I have my ipod 1st gen running 3.1.3 and jailbroke, and successfully running winterboard, its taking a very long time to start up after being completely shut down.

    It was running very fast after putting 3.1.3 on it, seemed to be faster than before with 2.2.1, but now its running extremely slow on boot now that winterboard is installed.

    Once the Ipod finishs booting, it seems to run perfectly fine. Just trying to figure out the cause of the slow boot. (Usually 2-3 mins)
    2010-04-27 01:37 AM
LINK TO POST COPIED TO CLIPBOARD